import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { GitSearchV2SharedModule } from 'app/shared/shared.module';
import { WatchListEntryComponent } from './watch-list-entry.component';
import { WatchListEntryDetailComponent } from './watch-list-entry-detail.component';
import { WatchListEntryUpdateComponent } from './watch-list-entry-update.component';
import { WatchListEntryDeleteDialogComponent } from './watch-list-entry-delete-dialog.component';
import { watchListEntryRoute } from './watch-list-entry.route';

@NgModule({
  imports: [GitSearchV2SharedModule, RouterModule.forChild(watchListEntryRoute)],
  declarations: [
    WatchListEntryComponent,
    WatchListEntryDetailComponent,
    WatchListEntryUpdateComponent,
    WatchListEntryDeleteDialogComponent,
  ],
  entryComponents: [WatchListEntryDeleteDialogComponent],
})
export class GitsearchWatchListEntryModule {}
